'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = mount;

var _vue = require('./lib/vue');

var _vue2 = _interopRequireDefault(_vue);

var _VueWrapper = require('./VueWrapper');

var _VueWrapper2 = _interopRequireDefault(_VueWrapper);

require('./lib/matchesPolyfill');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function createElem() {
  var elem = document.createElement('div');

  document.body.appendChild(elem);

  return elem;
}

function mount(component) {
  var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

  var elem = null;
  var attachToDocument = options.attachToDocument;

  if (attachToDocument) {
    elem = createElem();
    delete options.attachToDocument;
  }

  var Constructor = _vue2.default.extend(component);
  var vm = new Constructor(options);
  vm.$mount(elem);

  return new _VueWrapper2.default(vm, attachToDocument);
}